[R-SIG-Mac] R-2.10-branch for PPC64

Simon Urbanek simon.urbanek at r-project.org
Thu Jan 7 18:21:14 CET 2010

On Jan 5, 2010, at 21:12 , Steven McKinney wrote:

> I see today that the R-2.10-branch build
> at r.research.att.com shows
> Status:  ppc64: OK
> I downloaded and installed R-2.10-branch-leopard.pkg
> (Version 2.10.1 Patched (2010-01-04 r50887))
> but the R64.app won't start.  I see a message stating
> "You can't open the application 'R64.app' because
> it is not supported on this architecture"
> The web page suggests "for 64 bit use ... R --arch ppc64 (PowerPC  
> G5) ..."
> If I enter the command
> $ R --arch ppc64
> in a terminal window I see
> /usr/bin/R: line 208: /Library/Frameworks/R.framework/Resources/etc/ 
> ppc64/ldpaths: No such file or directory
> Should the R-2.10-branch-leopard.pkg 64 bit version work on
> a PowerPC (Leopard 10.5.8) at this point?

No - it has been removed since R 2.10.0 and is no longer provided  
(ppc64 is no longer supported by Apple in the current OS). The ppc64  
result is spurious in that it reports the last ppc64 build status  
(which is months ago) - thanks for reporting that - I'll need to  
remove it.


More information about the R-SIG-Mac mailing list